polybori::CTermGeneratorBase__< TermType, type_tag< BooleExponent > > Class Template Reference

`#include <CTermGenerator.h>`

## Public Types

typedef TermType | value_type
typedef value_type | result_type

## Public Member Functions

template<class SequenceType >
result_type | operator() (const SequenceType &seq) const

## Member Typedef Documentation

template<class TermType >

typedef value_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleExponent > >::result_type

template<class TermType >

typedef TermType polybori::CTermGeneratorBase__< TermType, type_tag< BooleExponent > >::value_type

## Member Function Documentation

template<class TermType >
template<class SequenceType >

result_type polybori::CTermGeneratorBase__< TermType, type_tag< BooleExponent > >::operator() | ( | const SequenceType & | seq | ) | const

inline

The documentation for this class was generated from the following file:

- CTermGenerator.h